dofile_once("data/scripts/lib/utilities.lua")

local entity_id    = GetUpdatedEntityID()
local pos_x, pos_y, radians = EntityGetTransform( entity_id )

local player = get_players()[1]

if(player ~= nil)then
    edit_component( entity_id, "ProjectileComponent", function(comp,vars)
        vars.mWhoShot       = player
        vars.mShooterHerdId = "player"
    end)
end